[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TExtendedHelper.IsInfinity

Check whether a value is positive or negative infinity.

## Declaration

Source position: syshelph.inc line 357

`public class function TExtendedHelper.IsInfinity(`
`const AValue: Extended`
`):Boolean; overload; function TExtendedHelper.IsInfinity: Boolean; overload;`

## Description

IsInfinity checks whether a Extended-sized floating point value represents a positive or negative infinity. If so, it returns True. When the class function version is used, the value can be specified using AValue. In the method version, the used value is (Self).

## See also

TExtendedHelper.IsNan |  | Check whether a value equals NaN.
TExtendedHelper.IsPositiveInfinity |  | Check whether a value is positive infinity.
TExtendedHelper.IsNegativeInfinity |  | Check whether a value is negative infinity.